Get pass registrations
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/passes/{passId}/registrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"pagination": {
"limit": 123,
"count": 123,
"nextToken": "<string>"
},
"data": [
{
"removedFromDevice": true,
"serialNumber": "<string>",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"deviceId": "<string>",
"pushToken": "<string>",
"passTypeIdentifier": "<string>"
}
]
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Passes
Get pass registrations
Retrieve Apple Wallet device registrations for a specific pass.
GET
https://api.platform.getstell.com
/
v1
/
passes
/
{passId}
/
registrations
Get pass registrations
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/passes/{passId}/registrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"pagination": {
"limit": 123,
"count": 123,
"nextToken": "<string>"
},
"data": [
{
"removedFromDevice": true,
"serialNumber": "<string>",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"deviceId": "<string>",
"pushToken": "<string>",
"passTypeIdentifier": "<string>"
}
]
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Pass ID
Query Parameters
Maximum number of registrations to return per page (1-100). Defaults to 100.
Pagination token from the previous response.
Was this page helpful?